Introduction

  • Welcome to BeFaster Internet Speed Up Toolkit, "The Best Way To Speed Up Your Connection"

  • This program is sponsored by webHancer Corp.

  • BeFaster changes certain hidden and known registry/other settings in Windows in order to prevent fragmentation of data transfers.

  • To speed up , all you need to do is select your optimization type and start optimization. But if you want to configure the settings manually; use Custom Settings tab and configure them.

  • BeFaster supports; AOL, Symantec PcAnyWhere, Opera, Dial-up Modem, Lan, Cable Modem, xDSL, ISDN, T1 and Cable/DSL running PPPoE.

  • BeFaster supports Windows 95/98/NT/2000/Millennium.

  • BeFaster has a Super-Ping Tool to prevent connection drops.

  • BeFaster has a Live Update property so you can check for the newer version of it easily.

  • This version is 15 days trial. After 15 days; you must either register this program or delete it from your computer hard drive.


Advantages Of BeFaster

  • Stay Online For Hours...
  • Faster File Downloading
  • Faster File Uploading
  • Faster Web Surfing
  • Faster Video&Audio Streaming
  • Faster Email
  • Faster Gaming
  • Faster Chat
  • Everthing will BE FASTER...
  • Before BeFaster : After BeFaster :


What's New ?

What's New In Version 2.52 ?

Version 2.52 - 13 March 2001

  • Some minor bugs are fixed.
  • Installer and uninstaller is improved.

Version 2.51 - 14 February 2001

  • Two minor bugs are fixed.
  • Installer and uninstaller bugs are fixed (seen on some systems).
  • Multi-Language Setup is added. (14 languages)
  • Some minor changes on appearance.

Version 2.5 - 16 January 2001

  • A minor bug is fixed.
  • Some minor changes are added to interface.
  • Trial period is 15 days.
  • Sponsored by webHancer Corp.
    •

    Version 2.4 Release 2 & 3

  • Some minor bugs are fixed.
  • False alarms are disabled/fixed.
  • Address of the live update server is changed.
    •

    Version 2.4 - 14 October 2000

  • Opera (browser) support is added.
  • Vcache Start optimization is added.
  • Faster program execution.
  • Super-Ping Tool is improved.
  • Safer use.
  • Improved help.
  • Improved security.
  • and some minor changes...
    •

    Version 2.30 - 17 August 2000

  • Interface is improved.
  • New fixed setting is added. (Support for DirectPc connections)
  • Registration module bug is fixed. (Now: Compatible For All Systems)
    •

    Version 2.21 - 13 August 2000

    • Registration module is rewritten because of a bug.
    • Appearance of registration module is improved.
    • Some minor corrections are applied to appearance.

    Version 2.20 - 10 August 2000

  • Full support for Windows 95/98/NT/2000/Millennium.
  • Com Ports, Com Boost Time, SlowNet optimizations are added.
  • Symantec PcAnywhere support is added.
  • Super-ping tool is added. (to keep your connections alive)
  • New fixed setting is added.
  • Preferences menu is added to configure program settings.
  • System Tray-icon support is added.
  • Live Update property is improved.
  • Improved appearance.
  • Easier use.
  • One minor bug is fixed.
  • Improved security (for crackers)
    •

    Version 2.10 - 16 July 2000

    • Live Update property is improved.
    • Two bugs are fixed.
    • Some minor appearance changes are made.
    • Html help file is scrutinized.
    • Improved security for crackers.

    Version 2.00 - 13 July 2000

    • AOL support is added.
    • Cable Modem, Lan, xDSL, T1, ISDN supports are added.
    • Cable/DSL running PPP over Ethernet support is added.
    • Appearance is completely changed. Interface is changed.
    • Use of the program is easier.
    • Some optimization settings are removed: Local copy made, read ahead auto scrolling, name server query time out.
    • New optimization setting is added: Connections Per Server
    • Html help file is added to program packet. (Help support)
    • Live Update property is improved. Now it's compatible with download managers (getright,...)
    • Windows 95, Windows NT, Windows 2000 and Windows Millenium supports are added. But it is not suggested to use. This program is designed for Windows 98.
    • Some minor bugs are fixed.
    • Program evaluation limit type is changed. Now you can use befaster for 10 days. After ten days you must register!
    • 2 languages support is removed. Now program's main language is English.
    • Method of registry write is improved.

    Version 1.00 - 29 May 2000

    • First version
    • I programmed this version and everybody sent me comments, so i wrote version 2.0 ; Thanks all...


How To Use Program ?

...........................Usage 1
  • Select your optimization type by using "Fixed Settings" tab.
  • If you're connecting to internet by using a dial-up modem (14400, 28800, 33600, 56K,...) ,you must use "Dial-up Modem 1" option or "Dial-up Modem 2" option. "Dial-up Modem 1" option is suggested.
  • If you're connecting to internet by using lan or cable modem or xDSL or ISDN or T1 ,you must use the "Lan, Cable Modem, xDSL, ISDN, T1" option.
  • If you're connecting to internet by using cable/DSL that is running PPP over Ethernet ,you must use the "Cable/DSL running PPPoE" option.
  • If you're connecting to internet by using DirectPc (satellite) ,you must use the "DirectPc (Satellite)" option.
  • You can also use the "Windows Default" option to set the default values.

...........................Usage 2
  • But you can configure settings manually, too:
  • Use "Custom Settings 1" and "Custom Settings 2" tabs to configure settings.
  • But this method is difficult, so if you don't know to configure Custom Settings, Use Fixed Settings tab.


Fixed Settings

Fixed settings is used to optimize your connection automatically.

If you have a dial-up modem connection, just click the Dial-up Modem 1 or Dial-up Modem 2.

In some countries, Dial-up Modem 1 is better than Dial-up Modem 2. Try both of them: which one is better, use the better optimization type for your country.

If you're connecting by lan, cable modem, xDSL, ISDN, T1 or higher, just click the Lan, Cable Modem, xDSL, ISDN, T1.

If you're connecting by cable or DSL that is running point to point protocol over ethernet, just click the Cable/DSL running PPPoE.

PPPoE : Point-to-Point Protocol over Ethernet is a method for building PPP sessions and encapsulating packets. Although it is not a standard, PPPoE is already being used by a number of DSL providers. It requires either routers that have built-in PPPoE support, or PPPoE software to "dial up" and establish the session.

If you're connecting by satellite (DirectPC) that it uses satellite for downloading and modem for uploading, just click the DirectPC (Satellite).

If you want to use Windows defaults, just click the Windows Default.

After selection ; Click the 'Start Optimization' button to optimize your connection automatically.

But if you want to make your custom settings, use Custom Settings 1 and Custom Settings 2 tabs.

Lastly, click the 'Start Optimization' button and speed up your connection easily...


Custom Settings 1

Custom Settings are used to optimize your connection manually.

You can configure some part of the settings manually by using Custom Settings 1.

MTU : All data sent over the internet goes in data packets. The size of these packets is called MTU (Maximum Transmission Unit). If these data packet sizes are too large or too small, they will have to be broken apart. Therefore this will slow down your connection speed. (Windows95 Default: 1500)

RcvWindow : Specifies the default receive window advertised by TCP.

MSS : Maximum Segment Size (MSS) defines how much actual data can put in the packet, and it is therefore a marginally smaller value than MTU to allow for packet addressing and other information.

Connections Per Server : The number of simultaneous requests to a single WWW server. According to standard HTTP protocol, browsers are not supposed to have more than two connections established to a single web site at one time. Enabling this option, you can override this restriction and instruct Windows to allow Internet Explorer and Opera to establish more than two connections to a single web server at one time, drastically improving performance.

Max Connect , Max Sockets : Enables/Disables Optimization of maximum number of connect and maximum sockets. (a NWLINK parameter)

Windows SlowNet : Enables/Disables Optimization of one of Windows98 connection type. Windows default is unoptimized.

Com Boost Time : Com Boost Time is the time (in milliseconds) the Operating System processes a COM port interrupt.

Vcache Start : Windows default is unoptimized. An optimization parameter about cache... (no more information about this)


Custom Settings 2

Custom Settings are used to optimize your connection manually.

You can configure some part of the settings manually by using Custom Settings 2.

TTL : Specifies the default time to live (TTL) for IP packets from Microsoft TCP/IP.

NDI Cache : The NDI cachesize is a networking setting and won't directly affect your internet connection, but if you are connected to a network you should set it to 16 or 32. (a NWLINK parameter)

Session Keep Alive : Specifies how often to send session keepalive packets on active sessions.

Logging : Enables/Disables logging.

Force Even : Enables/Disables more compression of data. (a NWLINK parameter)

Black Hole Detect : Specifies whether the stack will attempt to detect Maximum Transmission Unit (MTU) routers that do not send back ICMP fragmentation-needed messages. Setting this parameter when it is not needed can cause performance degradation.

MTU Auto Discovery : Specifies whether Microsoft TCP/IP will attempt to discover the largest packet size (the MTU) over the path to a remote computer. By discovering the path MTU and limiting TCP segments to this size, TCP can eliminate fragmentation along the path at routers connecting networks with different MTUs.

IPX Header Compression : Enables/Disables IPX Header Compression.

Point To Point IP : Enables/Disables PPP.

Nuke Protection : Enables/Disables Nuke Protection: If it is disabled, it specifies that Microsoft TCP/IP is to treat urgent data the way some UNIX systems do.

MaxDupAcks : MaxDupAcks Fast Retransmission and Fast Recovery of TCP connections that are encountering IP packet loss in the network. Allow a TCP sender to quickly infer a single packet loss by reception of duplicate acknowledgements for a previously sent and acknowledged TCP/IP packet.

TcpOpts : This is used when an application requests a Winsock socket to use buffer sizes greater than 64K

SackOpts (sacks) : It allows TCP to recover from IP packet loss without resending packets that were already received by the receiver. It is most useful when employed with TCP large windows.

Optimize Max DupAcks, TcpOpts, Sacks, NetBeui : Enables/Disables Optimization of NetBeui, Max DupAcks, TcpOpts, Sacks.


How To Use Super-Ping Tool ?

Super Ping : If your connection drops frequently, this function (in the program) makes your connection alive by getting data from internet in determined time intervals. (5 seconds, 10 seconds, 30 seconds, 60 seconds). So you can be online for hours.

There're some ping options in the preferences menu :

Try, when connection is available: If this option is selected, program tries to ping (keep connection alive) in determined time intervals when the connection is detected.

Always try to ping: This options tries to make your connection alive by getting data from internet in determined time intervals. It doesn't check that you're connected, it always tries to ping.

Don't try to ping: This option disables super-ping tool.

Ping Interval: This option sets the ping interval.

'Ping Now' Function: You can awake your modem up by this function. If your modem suspends, you can use this function manually to wake your connection. When your befaster icon is in the system tray [image] , click your mouse's right button on befaster icon. A menu will appear (ex: look at right) , select Ping Now menu item to wake your modem.

Note: This program does not use Windows default ping technique, it uses an advanced connection(ping) method. If you encounter any errors about super-ping tool, send email with needed information .

When you register, you will be able to set the ping host address, too. BeFaster uses this address to keep your connection alive. The address for unregistered users is "http://www.befaster.cjb.net"

As you see, usage of Super-Ping Tool is easy; just configure the preferences about ping tool. And run BeFaster. You can run BeFaster normally, minimized or in system-tray to use ping tool. It's your choice.


How To Use Menus ?

Program Menu:

Help Menu:


How To Use Program Menu ?

Preferences...

You can use this item to set the program options

Live Update

You can use this to check for program updates. If a newer version is found, you can download it.

Register

You can use to enter registration name and key. So you will be a registered user.

Exit

If you want to exit program,...

Restart Windows

Normally, you can't see this menu item. After you run BeFaster to optimize your connection, this item will be visible.

Use this to restart windows to make changes active.


Preferences...

Try, when connection is available : If this option is selected, program tries to ping (keep connection alive) in determined time intervals when the connection is detected.

Always try to ping : This option tries to make your connection alive by getting data from internet in determined time intervals. It doesn't check that you're connected, it always tries to ping.

Don't try to ping : This option disables super-ping tool.

Ping Interval : This option sets the ping interval. ( 5 seconds, 10 seconds, 30 seconds, 60 seconds) If you have a slow connection, don't set this value to 5 seconds.

Minimize to trayicon : Use this option, if you want BeFaster to use trayicon instead of taskbar when minimized.

Start minimized : Use this option to start befaster minimized next time.

Start when Windows starts up : Use this option to run BeFaster when windows starts up. This option is recommended while using super-ping tool.

Enable befaster sound : Use this option to play befaster.wav file when befaster starts.

These options (Registered Users) are visible for registered users.

Show startup screen : Use this option to show befaster startup screen. Uncheck this to speed up loading befaster.

Ping Address : Use this to change ping host address. Super-ping tool uses this address. This address is "http://www.befaster.cjb.net" for unregistered users. Suggested value is your isp's home page.


Live Update

BeFaster has live update property to check for new versions...

When you click "Check For Updates" button, it will connect to the live update center of BeFaster to check for new version.

If it finds a new version, you can download it easily... by clicking the "download new version" link (that will be visible if live update finds the new version.)


Register...

If you order BeFaster, you will get the registration key. Therefore you can fill in the blanks by typing the registration name and the key.

If you didn't order yet; click the Shareit icon to go to the Shareit's online order form page.

Fill the order form securely there. This online operation is secure enough to purchase a product.

Order fee is 23 (twenty-three) US Dollars. When you order, registration key will be sent to your email.

Click here to learn details (offline)


How To Use Help Menu ?

Contents

Shows help file.

BeFaster On The Web

It has 5 sub-menus:

  • Download Page : Opens BeFaster download page.
  • Email Technical Support : Sends email to Ekrem Deniz (for support)
  • Online Help : Opens BeFaster online help page.
  • Order Page : Opens the Shareit order page for BeFaster (if you want to order BeFaster, you can use this menu) .
  • Ekrem Deniz's Fantastic Page : Opens the author's website.

About Author

Gives information about author.

About BeFaster

Gives information about the program.


How To Register ?

When you order BeFaster, you'll get a registration key by email. Then type user name and the registration key in the program.

After you type the user name and the key correctly, press Register Now button. Then you'll be a registered user. So you can use BeFaster for a life, there'll be no limit and the next versions of BeFaster will be free, too.

If you don't have a registration key, it means you didn't order BeFaster.

There're many ways to order BeFaster registration key.

You can order BeFaster securely by filling order form.

Company Order Form Languages | Currencies | Payment Methods
(preferred) English , Español , Deutsch, Italiano, Français, Portugele | $ - US Dollars € - Euro | Visa, MasterCard, Eurocard, American Express, Diners Club Wire Transfer, Check, Cash, Fax,...
English | $ - US Dollars | Visa, MasterCard, Eurocard, American Express, Discover (Novus)
English | $ - US Dollars £ - UK Pounds | Visa, Mastercard, Switch, American Express, Delta

Registration fee is twenty-three dollars (23$ or 16£ ).

After you fill the order form, the registration key will be sent to your email address.

Therefore BeFaster will be registered to you and next versions of BeFaster will be free for you.

Question: Which countries purchased BeFaster until 1 January 2001 ?

Answer: USA, GERMANY, UNITED KINGDOM, ITALY, CANADA, AUSTRALIA, NORWAY, TAIWAN, SOUTH AFRICA, NETHERLANDS, MEXICO, AUSTRIA, ARGENTINA, SWITZERLAND, SINGAPORE, PHILIPPINES, PARAGUAY, NEW ZEALAND, JAPAN, HONG KONG, FRANCE, CHILE, BELGIUM, BRAZIL, DENMARK.

and more...


Obtain Technical Support

If you have a question, firstly look at FAQ section .

Although i have worked hard to make sure that BeFaster is as bug free as possible, there is no software that is perfect. As a result, if you find a bug, please let me know. There may be other people that are having the same problem and it won't be fixed if i don't know about it. New version of BeFaster is released when new features are suggested, or a bug is found.

When you request the support (comments, supports, bug reports, questions,...) Please answer these questions below (in your email message) .

  • Your Job (student, engineer, teacher, doctor,.....)
  • Internet Experience (how many years or months)
  • Computer Experience (how many years or months)
  • Internet Connection Type (dial-up modem, cable modem, DSL,..)
  • Your computer's CPU (pentium, celeron, pentium2, pentium3,...)
  • Your computer's OS (windows 95, windows 98, windows NT,.....)
  • Your computer's Ram (16MB, 32MB, 64MB, 128MB, 256 MB,...)

You can obtain Technical Support by sending e-mail to edeniz@bigfoot.com .


Frequently Asked Questions

Questions listed in this FAQ

  1. BeFaster has installed a program named webHancer Agent. What is it ?
  1. Which OS does BeFaster support ?
  2. Does BeFaster support AOL ?
  3. Does BeFaster support Symantec PcAnyWhere ?
  4. Does BeFaster have an uninstall ?
  5. How can i determine the best MTU value for my connection ?
  6. I'm using DirectPC and i used BeFaster's fixed setting but it does not speed up my connection. What must i do ?
  7. I'm using dial-up modem; which fixed optimization type must i use to speed up my connection ?
  8. I used BeFaster, but my connection is still slow ! Why ?
  9. How can i test my connection speed ?
  10. Must i always run it before connecting to internet ?
  11. Why did you add Super-Ping Tool to BeFaster ?
  12. I'm a registered user and I've lost my license code; how can I get a new one ?
  13. Can i use BeFaster and Netsonic together ?
  14. How can i update BeFaster ?
  15. I go to start the optimization and it tells me that I must restart Windows to make the setting effective. I've done this several times and the settings do not hold. Also, when I start Windows, the Befaster icon does not appear in my system tray. What am I doing wrong ?
  16. I can't see the html help file correctly. What should i do ?
  17. I run BeFaster. It said "error: msvbvm60.dll can't be found. " What should i do ?
  18. I run BeFaster. It said "Run-time error '339' Component 'MSCOMCTL.OCX' or one of its depencies not correctly registered: a file is missing or invalid. " What should i do?
  19. I run BeFaster. It said "Run-time error '339' Component 'TABCTL32.OCX' or one of its depencies not correctly registered: a file is missing or invalid. " What should i do?
  20. I run BeFaster. It said "Run-time error '372' Failed to load control 'SSTab' from 'TABCTL32.OCX' ...." What should i do?
  21. I run BeFaster. It said "Run-time error '339' Component ....... or one of its depencies not correctly registered: a file is missing or invalid. " What should i do?
  22. I run BeFaster. It said "Run-time error '50003' : unexpected error " What should i do ?
  23. I run BeFaster. It said "The file 'Oleaut32.dll' is out of date. This program requires a newer version. " What should i do ?
  24. If i find a bug of the program what should i do ?
  25. What's the long home address of BeFaster ?

a- BeFaster has installed a program named webHancer Agent. What is it ?
BeFaster is an awards winning software. So there're too many requests to be a sponsor. WebHancer Corp. is sponsor of BeFaster. When you install BeFaster, it installs WebHancer,too. But BeFaster does not need webhancer to run. I mean you may remove webHancer later via Control Panel. BeFaster can run alone. When you register befaster, it does not need to install webhancer again in the next versions. Click here for more about webHancer...

1- Which OS does BeFaster support ?
BeFaster supports only : Windows 95, Windows 98, Windows 98 SE, Windows NT, Windows 2000, Windows Millennium.

2- Does BeFaster support AOL ?
Yes, this version supports AOL. Version 1.0 didn't support.

3- Does BeFaster support Symantec PcAnyWhere ?
Yes, it supports Symantec PcAnyWhere.

4- Does BeFaster have an uninstall ?
Of course, yes. But when you uninstall the program files, you will uninstall the optimization, too. It means if you uninstall after you use, your settings will return to the default settings and so you won't Be Faster. (If you're a registered user, there's no problem to uninstall)

5- How can i determine the best MTU value for my connection ?
An easy way to determine your best MTU value, which should make your tinkering a lot less complicated: Start by opening a dos prompt, then enter the command:

"ping -f -l [trial MTU number] www.[your_isp].com".

Start with 548 and go up or down depending on the message (if it tells you that the packets are being fragmented, you need to go down - you want the highest setting that doesn't cause packet fragmentation). To derive your MTU from the ping data, add 28 to the highest number that worked (packet size+28).

For example: Ping -f -l 548 www.superonline.com If this does not cause packet fragmentation, use 576 for MTU because 548+28=576

6- I'm using DirectPC and i used BeFaster's fixed setting but it does not speed up my connection. What must i do ?
Fixed settings are generated for common. Maybe you have to use custom settings to speed up. Or just use "Lan, Cable Modem, xDSL, ISDN, T1" option. Sometimes this option gives better results for DirectPc connections.

7- I'm using dial-up modem, which fixed optimization type must i use to speed up my connection ?
You must use "Dial-up Modem 1" or "Dial-up Modem 2" .In some countries "Dial-up Modem 2" gives better results. But suggested option is "Dial-up Modem 1" .So try both of them. Which one is better ? Select the best one for your country.

8- I used BeFaster, but my connection is still slow ! Why ?
Connection speed depends on : Isp, phone (net connection) line, modem type (quality), optimization. And secondly depends on OS, browser,... BeFaster changes only the optimization. If your isp is not good, BeFaster can't solve this problem. Or if your line is not clear, BeFaster can't make your line productive. I mean BeFaster optimizes your connection by changing some initialization files and registry. It can't change your internet service provider,... :-(

9- How can i test my connection speed ?
Use this address to test your connection speed: http://msn.zdnet.com/partners/msn/bandwidth/speedtest.htm

10- Must i always run it before connecting to internet ?
If you run BeFaster once correctly, you don't need to run more. After you run correctly; if you uninstall it, optimization will be uninstalled, too. (But If you're a registered user, there's no problem to uninstall)

11- Why did you add Super-Ping Tool to BeFaster ?
Some people sent me comments about this. They want me to add a tool that it makes connection alive. So i added this smart tool. It makes you connected and prevents connection drops. It does not use Windows default ping technique.

 12- I'm a registered user and I've lost my license code; how can I get a new one ?
Send an email to the author with your registration information. Your key will be sent again.

 13- Can i use BeFaster and Netsonic together ?
BeFaster optimizes your registry and other initialization files to speed up your connection. But Netsonic uses cache method to speed up your connection. You can use BeFaster and Netsonic together to have the fastest connection.

 14- How can i update BeFaster ?
Firstly you need to uninstall the old version of befaster. Then run setup program of new version of Befaster. It will install new version. Now it'is time to optimize. Select your optimization method (connection type) and click Start Optimization button. After you restart the windows, you will have a faster connection. Now it is time to set preferences. Use menus to set preferences...

 15- I go to start the optimization and it tells me that I must restart Windows to make the setting effective. I've done this several times and the settings do not hold. Also, when I start Windows, The Befaster icon does not appear in my system tray. What am I doing wrong ?
Click Start Optimization button after you select your connection type. Then program will prompt you to restart. After you restart, you will have a faster connection. If you selected the true connection type, you don't need to start optimization again. BeFaster can be stay in trayicon if you want to use ping-tool that this tool can prevent connection drops, and awake suspended modem. Befaster icon can appear in system tray if you set it by using preferences. You can reach preferences by using Program menu.

 16- I can't see this html help file correctly. What should i do ?
Maybe your html help file viewer is old. Download the viewer update. Click here to download (HTML Help Viewer Version 1.31) .

17- I run BeFaster. It said "error: msvbvm60.dll can't be found." What should i do ?
This error (similar error) occurs when you don't install visual basic 6 runtime files. BeFaster needs visual basic 6 runtime files. Click here to download this package.

18- I run BeFaster. It said " Run-time error '339' Component 'MSCOMCTL.OCX' or one of its depencies not correctly registered: a file is missing or invalid. " What should i do?
This error occurs when you don't have this file. Click here to download this file.

19- I run BeFaster. It said " Run-time error '339' Component 'TABCTL32.OCX' or one of its depencies not correctly registered: a file is missing or invalid. " What should i do?
This error occurs when you don't have this popular file. Click here to download this file.

20- I run BeFaster. It said " Run-time error '372' Failed to load control 'SSTab' from 'TABCTL32.OCX' .... " What should i do?
This error occurs when you don't have this popular file. Click here to download this file.

21- I run BeFaster. It said " Run-time error '339' Component ....... or one of its depencies not correctly registered: a file is missing or invalid. " What should i do?
This error occurs when you don't install visual basic 6 runtime files correctly. Click here to download this package.

22- I run BeFaster. It said "Run-time error '50003' : unexpected error" What should i do ?
To correct this error: firstly, install visual basic 6 runtime files. Secondly reinstall BeFaster. Lastly, Install DCOM. Click here to download DCOM.

23- I run BeFaster. It said "The file 'Oleaut32.dll' is out of date. This program requires a newer version." What should i do ?
Try to reinstall visual basic 6 runtime files. Click here to download this package.

24- If i find a bug of the program what should i do ?
Send email to the author, Ekrem Deniz with needed information . His email address : edeniz@bigfoot.com

25- What's the home address of BeFaster ?
http://befaster.ekremdeniz.com


Software License

Software License (BeFaster)

Terms and Conditions of Installing the
BeFaster, "THE BEST WAY TO SPEED UP YOUR CONNECTION"

BeFaster is shareware and freely distributable which is sponsored
by WebHancer Corporation. You may install this program to test and
evaluate for 15 days; after that time you must either register this
program or delete it from your computer hard drive.

BEFASTER IS DISTRIBUTED "AS IS".
NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED.
YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE
LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR
ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

Refunds will not be approved, if you order BeFaster.

You may not alter this software in any way, including changing
or removing any messages or windows. You are hereby licensed to make
as many copies of the shareware version of this software and
documentation as you wish; give exact copies of the original shareware
version to anyone; and distribute the shareware version of the software and
documentation in its unmodified form. There is no charge for any of the above.

This product is designed to run under 32bit Windows.

Installing and using BeFaster signifies acceptance of these
terms and conditions of the license. If you do not agree with
the terms of this license you must remove BeFaster files
from your storage devices and cease to use the product.

webHancer License Agreement


About Author

 I am Ekrem Deniz,

I can be reached via email at edeniz@bigfoot.com ,

my web site is at http://www.ekremdeniz.com

One day, while i was surfing the web i asked myself "my dial-up modem connection is slow, why ?" Because i frequently saw this: Then i found the answer: "Because i did not write an internet speed up toolkit" Therefore i wrote a program and i called it "BeFaster" :-)) Now my connection is faster and i usually see this:

I'm interested in programming languages since 1991. It means; when i was 11 years old, i began to be interested in programming. Now i'm a student at Izmir Dokuz Eylul University in Turkey .

You can contact with me by email or icq ( 35604051 ).

Thanks,


webHancer

About Sponsor, webHancer

webHancer Corporation

PERFORMANCE MEASUREMENT STATEMENT

webHancer is committed to providing our customers with the best web
experience possible. We recognize that understanding the performance
and reliability of our site is crucial to maintaining and enhancing
our relationship with our customers. To achieve this goal, we highly
recommend the installation of the webHancer Customer Companion and
invite you to participate in this process. This device allows us to
constantly measure our site's performance from your unique
perspective. This measurement process sends small packets of
performance related information to the webHancer Assurance Hub for
statistical analysis. From that aggregated information we take every
step necessary to continuously improve our site and keep you
satisfied.

WEBHANCER CORPORATION PRIVACY STATEMENT

webHancer is committed to ensuring the privacy of the end-user. There
is no collection, transmission or sale of personal identifiers or
e-mail addresses. We collect and aggregate performance related
data only. webHancer does not produce or market any information
regarding individual users or individual sessions. For further
details regarding our policies please visit our web site at
http://www.webhancer.com .

webHancer License Agreement


Turkey

This program is written in Turkey.


Next Regular Version

Next Version

Author :

"BeFaster is an awards winning popular software. I receive too many emails about BeFaster : suggestions, thanks, comments, criticism,...
And i evaluate/appraise them. Therefore BeFaster is being improved and new versions can be written. Please send your comments, reviews to me to help me to improve the program."

Here's some new features of befaster v3.0 beta :

-new optimization types
-new optimization for online/network gaming
-more customizable (for advanced users)
-new interface
-improved ping-now function
-easier use, faster internet
-and more...

Click here to learn more about v3.0 beta


Online Help

Online help is very useful. Why ?

Think that: FAQ section is updated. And your question is not available in the current FAQ section. What will you do? Of course, you will use online help for the last form of the frequently asked questions section.

Think that: You deleted your help file (befaster.chm) What will you do ? Of course, you can use online help.

Think that: You have befaster.chm file but you don't have Microsoft HTML Help File Viewer. There're two ways to get help. First one is downloading HTML Help File Viewer to see befaster.chm file. Second way is using online help.

and more....

Click here for online help

Click here for the updated FAQ (if it's updated)


Software License

Software License (webHancer)

Terms and Conditions of Installing the
webHancer Customer Companion (the "Software").

IMPORTANT NOTICE:

THIS SOFTWARE CONFIDENTIALLY RELAYS YOUR WEB SURFING
PERFORMANCE METRICS TO WEBHANCER CORP. TO GENERATE
PERFORMANCE REPORTS FOR THIRD PARTIES. AS SUCH, YOUR
INTERNET CONNECTION WILL BE USED PERIODICALLY TO SEND AND
RECEIVE DATA. YOU REMAIN ANONYMOUS - NO PERSONAL OR
IDENTIFIABLE INFORMATION IS COLLECTED - ONLY QUANTITATIVE
PERFORMANCE DATA.

WE RESPECT OUR CUSTOMERS PRIVACY.
TO VIEW WEBHANCER'S PRIVACY POLICY,
GO TO: http://www.webhancer.com/products/privacy .

THIS SOFTWARE SUPPORTS WINDOWS 98/2000 and WINDOWS NT 4.0
Service Pack 4 and higher. INSTALLATION ON OTHER SYSTEMS
MAY LEAD TO SYSTEM FAILURE.

THIS IS A LICENSE, NOT A SALE. THIS END USER LICENSE
AGREEMENT ("AGREEMENT") IS A LEGAL CONTRACT BETWEEN YOU AND
WEBHANCER CORP. ("WEBHANCER") FOR THE CUSTOMER COMPANION
SOFTWARE (THE 'SOFTWARE'). THIS SOFTWARE WILL MAKE USE OF
YOUR INTERNET CONNECTION. YOU ARE SOLELY RESPONSIBLE FOR
ANY AND ALL NETWORK USAGE COSTS OR ANY OTHER COSTS
ASSOCIATED WITH YOUR USE OF THE SOFTWARE. BY DOWNLOADING,
INSTALLING OR USING THE SOFTWARE YOU AGREE TO BE BOUND BY
THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT
AGREE WITH THESE TERMS AND CONDITIONS, UNINSTALL, AND DO
NOT USE THE SOFTWARE.

WEBHANCER grants to you a non-exclusive, non-transferable and restricted
license to use the Software on a single computer for your internal use, subject
to the terms and conditions of this Agreement. You may make and distribute
unlimited copies of the Software, excluding copies for commercial distribution,
as long as each copy that you distribute is distributed subject to this
Agreement, and you reproduce in full all copyright and other proprietary
notices pertaining to the Software that appear in the Software.

This Agreement shall remain in effect for as long as you are in compliance with
its terms and conditions. This Agreement shall immediately terminate if you fail
to comply with any of its provisions. The limitations of liabilities and
warranties will survive any termination of this Agreement and will remain in
full force and effect even after termination. Should WEBHANCER release any
updates, upgrades or new versions of the Software or supplemental code or
supporting materials for the Software ("Additional Software Releases"), all such
Additional Software Releases shall be considered part of the Software and
subject to the terms and conditions of this Agreement and any additional terms
and conditions that accompany the Additional Software Releases. In
consideration of the foregoing license from WEBHANCER to you, you grant to
WEBHANCER the perpetual, unrestricted right to record and use your web surfing
performance metrics, in whole or in part, in any form or format.

THE SOFTWARE IS PROVIDED TO YOU "AS IS". YOU ARE SOLELY
RESPONSIBLE FOR THE ADEQUATE PROTECTION AND BACKUP OF THE
DATA AND EQUIPMENT USED IN CONNECTION WITH THE SOFTWARE.
WEBHANCER MAKES NO REPRESENTATIONS, WARRANTIES OR
CONDITIONS, EXPRESS OR IMPLIED, WRITTEN OR ORAL, INCLUDING,
BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABLE QUALITY,
SATISFACTORY QUALITY, MERCHANTABILITY, FITNESS FOR A
PARTICULAR PURPOSE OR NON-INFRINGEMENT, OR THOSE ARISING
BY LAW, STATUTE, USAGE OF TRADE, COURSE OF DEALING OR
OTHERWISE. WEBHANCER DOES NOT WARRANT THAT THE OPERATION
OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR FREE.
YOU ASSUME THE ENTIRE RISK AS TO THE RESULTS AND
PERFORMANCE OF THE SOFTWARE.

NEITHER WE NOR OUR DEALERS OR SUPPLIERS SHALL HAVE ANY
LIABILITY TO YOU OR ANY OTHER PERSON OR ENTITY FOR ANY
INDIRECT, INCIDENTAL, SPECIAL, CONSEQUENTIAL OR ANY DAMAGES
WHATSOEVER, INCLUDING, BUT NOT LIMITED TO, LOSS OF REVENUE
OR PROFIT, LOST OR DAMAGED DATA OR OTHER COMMERCIAL OR
ECONOMIC LOSS, EVEN IF WE HAVE BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES, OR THEY ARE FORESEEABLE.
WE ARE ALSO NOT RESPONSIBLE FOR CLAIMS BY A THIRD PARTY.
OUR MAXIMUM AGGREGATE LIABILITY TO YOU AND THAT OF OUR
DEALERS AND SUPPLIERS SHALL NOT EXCEED FORTY DOLLARS
CANADIAN ($40.00 CDN). THE LIMITATIONS IN THIS SECTION
SHALL APPLY WHETHER OR NOT THE ALLEGED BREACH OR DEFAULT
IS A BREACH OF A FUNDAMENTAL CONDITION OR TERM OR A
FUNDAMENTAL BREACH.

The limited warranty, exclusive remedies and limited liability set out herein
are fundamental elements of the basis of the bargain between you and WEBHANCER.
You acknowledge and agree that WEBHANCER would not be able to provide the
Software free of charge without such limitations. In jurisdictions which do
not allow the exclusion or limitation of consequential, incidental or special
damages, WEBHANCER's liability for such damages shall be limited to the maximum
extent permitted by applicable law.

The Software, including all copies, and all copyrights and all other rights,
title and interest subsisting in or related to the Software, and all data
collected there from, shall at all times remain the property of WEBHANCER or
its licensors. You must reproduce any copyright or other proprietary notices
on the Software in their entirety in all copies of the Software. WEBHANCER and
its licensors reserve all rights not expressly granted to you. You shall not
translate, reverse engineer, decompile or disassemble the Software or any part
of the Software, except to the extent this restriction is not permitted by the
laws of your jurisdiction; or modify or adapt or create derivative works based
on the Software or any part of the Software or merge the Software or any part
of the Software with any other software program.

Notice to U.S. Government end users. If this product is acquired under the
terms of a: GSA contract-Use, reproduction or disclosure is subject to the
restrictions set forth in the applicable ADP Schedule contract; U.S. DoD
contract- Use, duplication or disclosure by the Government is subject to
restrictions as set forth in subparagraph (c) (1) (ii) of 252.227-7013;
Civilian agency contract- Use, reproduction, or disclosure is subject to
52.227-19 (a) through (d) and restrictions set forth in the accompanying end
user agreement. Unpublished-rights reserved under the copyright laws of the
United States. WebHancer Corp. 2255 Carling Avenue, 3rd Floor Ottawa,
Ontario Canada K2B 7E9.

This Agreement is the entire agreement between WEBHANCER and you and supercedes
all other agreements, discussions and negotiations, whether oral or written.
This Agreement cannot be modified or amended except by a written agreement
signed by an authorized officer of WEBHANCER. This shall be governed by the
laws of the Province of Ontario, Canada, excluding conflicts of law and choice
of law principles and the United Nations Convention on Contracts for the
International Sale of Goods, and any legislation implementing such Convention.
You consent and attorn to the exclusive jurisdiction of Ontario courts and
waive trial by jury, except to the extent a waiver of a jury trial is not
permitted by applicable law. If any provision of this Agreement is found to
be illegal, invalid or unenforceable, such provision shall be deemed severed
and the remainder of the Agreement shall continue in full force and effect.
You agree to comply with all applicable laws including export restrictions as
they relate to this Agreement and your use of the Software. The parties have
requested that this Agreement and all documents contemplated hereby be drawn
up in English. Les parties aux présentes ont exigé que cette entente et tous
autres documents envisagés par les présentes soient rédigés en anglais.

BeFaster License Agreement


Download Components Of BeFaster

Download The Required File(s)

File Description | File Name | Download URLs |  | File Size
Visual Basic 6 RunTime Files | vbrun60sp4.exe | Server 1 | Server 2 | 0.99 MB
Html Help Viewer Update | hhupd.exe | Server 1 | Server 2 | 716 KB
TabCtl32.Ocx | tabctl32.zip | Server 1 | x | 118 KB
MsComCtl.Ocx | mscomctl.zip | Server 1 | x | 511 KB